// pages/audit/index/index.js
import {
    checkMeeting,
    checkMeetingInService,
    checkTurnMeeting,
    checkContinueMeeting,
    appointmentDateRecordList
} from '../../../utils/api/meeting'
Page({

    /**
     * 页面的初始数据
     */
    data: {
        type: '',
        item: {},
        form: {
            status: 2,
        },
        statusList: [{
                name: '同意',
                id: 2
            },
            {
                name: '拒绝',
                id: 3
            },
        ],
    },
    getValue(e) {
        let type = e.currentTarget.dataset.type
        this.setData({
            [`form.${type}`]: e.detail
        });
    },
    async auditFun() {
        let res ={}
        let {
            type,
            item,
            form
        } = this.data
        if (form.status == 3 && !form.refuseReason) {
            wx.showToast({
                icon: 'none',
                title: '请填写完整',
            })
            return
        }
        if (type == 'subscribe-audit') {
            form.meetingRecordId = item.meetingRecordId
            res = await checkMeeting(form)
        }
        if (type == 'order-audit') {
            form.meetingInServiceId = item.meetingInServiceId
            res = await checkMeetingInService(form)
        }
        if (type == 'transfer-audit') {
            form.meetingTurnRecordId = item.meetingTurnRecordId
            if(form.status==2){
                res.code=200
            }else{
                res = await checkTurnMeeting(form)
            }
        }
        if (type == 'renewalContract-audit') {
            form.meetingContinueRecordId = item.meetingContinueRecordId
            res = await checkContinueMeeting(form)
        }

        if (res.code == 200) {
            wx.showToast({
                title: '操作成功',
                icon: 'none',
                duration: 800,
                mask: true,
                success: function () {
                    if (type == 'transfer-audit' && form.status == 2) {
                        setTimeout(function () {
                            item.meetingRecordVo.meetingRoomVo.meetingRoomId = item.meetingRecordVo.meetingRoomId
                            let itemData = Object.assign(item.meetingRecordVo, item.meetingRecordVo.meetingRoomVo,form)
                            wx.navigateTo({
                                url: '/pages/meeting/subscribe/index?type=' + type + '&itemData=' + JSON.stringify(itemData) + '&endDate=' + itemData.appointmentDate + '&subscribeYear=' + itemData.appointmentDate
                            })
                        }, 800)
                    } else {
                        setTimeout(function () {
                            wx.navigateBack({
                                delta: 2,
                            })
                        }, 800)
                    }
                }
            })
        }
    },
    /**
     * 生命周期函数--监听页面加载
     */
    onLoad(options) {
        if (options.item) {
            let item = JSON.parse(options.item)
            this.setData({
                type: options.type,
                item,
            })
        }
    },

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady() {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow() {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide() {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload() {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh() {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom() {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage() {

    }
})